Bug 166459 - Review Request: bigloo - compiler for the Scheme programming language
Review Request: bigloo - compiler for the Scheme programming language
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
David Lawrence
http://math.ifi.unizh.ch/fedora/4/i38...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-21 19:07 EDT by Gérard Milmeister
Modified: 2010-07-07 21:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 14:17:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Gérard Milmeister 2005-08-21 19:07:22 EDT
Spec Name or Url: http://math.ifi.unizh.ch/fedora/spec/bigloo.spec
SRPM Name or Url: http://math.ifi.unizh.ch/fedora/4/i386/SRPMS.gemi/bigloo-2.6f-2.src.rpm
Description:
Bigloo is a compiler and interpreter for an extended version of the
Scheme programming language. Bigloo allows a full connection between
Scheme and C programs. It delivers fast and small executables.
Comment 1 Aurelien Bompard 2005-09-26 16:58:34 EDT
- When building in mock I get this after ./configure :
    ERROR: Illegal option "--arch=i386"
  It looks like the arch must be > i586
- You should also use smp_mflags, or put a comment explaining that this package
does not build with it (wiki: PackagingGuidelines#parallelmake)
Comment 2 Gérard Milmeister 2005-09-27 17:39:10 EDT
SRPM: http://math.ifi.unizh.ch/fedora/4/i386/SRPMS.gemi/bigloo-2.6f-3.src.rpm

- removed the arch configuration
- smp_mflags builds the break, included a comment about this
Comment 3 Aurelien Bompard 2005-09-28 06:59:22 EDT
* RPM name is OK
* Source bigloo2.6f.tar.gz is the same as upstream
* This is the latest version
* Builds fine in mock
* rpmlints look OK
* File lists look OK
* Tested on some included examples, seems to work.
Comment 4 Michael Schwendt 2005-10-13 17:09:46 EDT
* Bugzilla component is missing.

* Broken package dependencies on ppc:

$ rpm -qpR bigloo-libs-2.6f-1.fc4.ppc.rpm  | grep build
/builddir/build/BUILD/bigloo2.6f/lib/2.6f/libbigloo_s-2.6f.so  

Same for bigloo-2.6f-1.fc4.ppc.rpm
Comment 5 Gérard Milmeister 2005-10-13 17:41:23 EDT
(In reply to comment #4)
> * Bugzilla component is missing.
Ok, updated owners.list

> * Broken package dependencies on ppc:
> 
> $ rpm -qpR bigloo-libs-2.6f-1.fc4.ppc.rpm  | grep build
> /builddir/build/BUILD/bigloo2.6f/lib/2.6f/libbigloo_s-2.6f.so  
> 
> Same for bigloo-2.6f-1.fc4.ppc.rpm

Do you know what's wrong there, bigloo-libs-2.6f-3 doesn't have
this problem.
Comment 6 Michael Schwendt 2005-10-14 17:38:44 EDT
bigloo-libs-2.6f-3 is not in CVS and not in the repository either.

bigloo-libs-2.6f-1.fc4 is.  devel ppc is affected, too.  In the ppc
build log it might be possible to see what it does with your
LD_LIBRARY_PATH which is modified to include a build directory.

$ grep builddir *
Binary file libbigloobdl_s-2.6f.so matches
Binary file libbigloobdl_u-2.6f.so matches
Binary file libbigloofth_s-2.6f.so matches
Binary file libbigloofth_u-2.6f.so matches

$ readelf -d libbigloobdl_s-2.6f.so | grep build
 0x00000001 (NEEDED)                     Shared library:
[/builddir/build/BUILD/bigloo2.6f/lib/2.6f/libbigloo_s-2.6f.so]
Comment 7 Gérard Milmeister 2005-10-14 18:41:08 EDT
(In reply to comment #6)
> bigloo-libs-2.6f-3 is not in CVS and not in the repository either.
My mistake. I installed anew from extras.
But still the i386 bigloo-2.6f-1.fc4 doesn't have this problem.
I would like to know what it is that is different in the ppc build.
Building and linking should be identical, shouldn't it?

> bigloo-libs-2.6f-1.fc4 is.  devel ppc is affected, too.  In the ppc
> build log it might be possible to see what it does with your
> LD_LIBRARY_PATH which is modified to include a build directory.
> 
> $ grep builddir *
> Binary file libbigloobdl_s-2.6f.so matches
> Binary file libbigloobdl_u-2.6f.so matches
> Binary file libbigloofth_s-2.6f.so matches
> Binary file libbigloofth_u-2.6f.so matches
> 
> $ readelf -d libbigloobdl_s-2.6f.so | grep build
>  0x00000001 (NEEDED)                     Shared library:
> [/builddir/build/BUILD/bigloo2.6f/lib/2.6f/libbigloo_s-2.6f.so]

There are always some problems with archs other than i386, mostly ppc,
sometimes x86_64. I have no means to test on these, maybe there should
be some experts in the fedora project, that can help these problem, or at
least a testing build system, where one can try out some things.
Comment 8 Michael Schwendt 2005-10-15 07:30:42 EDT
Sorry, cannot assist with testing/analysis on ppc. Above is based on
output created by repoclosure, which I've started to play with a bit.
Comment 9 Michel Alexandre Salim 2010-07-05 15:11:20 EDT
Package Change Request
======================
Package Name: bigloo
New Branches: EL-5 EL-6
Owners: salimma
Comment 10 Kevin Fenzi 2010-07-07 21:07:46 EDT
CVS done (by process-cvs-requests.py).

Note You need to log in before you can comment on or make changes to this bug.